AWTEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class AWTEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ActionEvent, AdjustmentEvent, ComponentEvent, HAdjustmentEvent, HItemEvent, HTextEvent, InputMethodEvent, InvocationEvent, ItemEvent, TextEvent

    public abstract class AWTEvent

extends EventObject

The root event class for all AWT events. This class and its subclasses supercede the original java.awt.Event class. Subclasses of this root AWTEvent class defined outside of the java.awt.event package should define event ID values greater than the value defined by RESERVED_ID_MAX.

The event masks defined in this class are needed by Component subclasses which are using Component.enableEvents() to select for event types not selected by registered listeners. If a listener is registered on a component, the appropriate event mask is already set internally by the component.

The masks are also used to specify to which types of events an AWTEventListener should listen. The masks are bitwise-ORed together and passed to Toolkit.addAWTEventListener.

Since:
  1.1
Version:
  1.50 01/27/03
Author:
  Carl Quinn, Amy Fowler
See Also:
  `Component.enableEvents(long)`, `Toolkit.addAWTEventListener(java.awt.event.AWTEventListener, long)`, `ActionEvent`, `AdjustmentEvent`, `ComponentEvent`, `ContainerEvent`, `FocusEvent`, `InputMethodEvent`, `InvocationEvent`, ``, `KeyEvent`, `MouseEvent`, `MouseWheelEvent`, `PaintEvent`, `TextEvent`, `WindowEvent`, Serialized Form

Field Summary
`static long` | `ACTION_EVENT_MASK` The event mask for selecting action events.
`static long` | `ADJUSTMENT_EVENT_MASK` The event mask for selecting adjustment events.
`static long` | `COMPONENT_EVENT_MASK` The event mask for selecting component events.
`static long` | `CONTAINER_EVENT_MASK` The event mask for selecting container events.
`static long` | `FOCUS_EVENT_MASK` The event mask for selecting focus events.
`static long` | `INPUT_METHOD_EVENT_MASK` The event mask for selecting input method events.
`static long` | `INVOCATION_EVENT_MASK` The event mask for selecting invocation events.
`static long` | `ITEM_EVENT_MASK` The event mask for selecting item events.
`static long` | `KEY_EVENT_MASK` The event mask for selecting key events.
`static long` | `MOUSE_EVENT_MASK` The event mask for selecting mouse events.
`static long` | `MOUSE_MOTION_EVENT_MASK` The event mask for selecting mouse motion events.
`static long` | `MOUSE_WHEEL_EVENT_MASK` The event mask for selecting mouse wheel events.
`static long` | `PAINT_EVENT_MASK` The event mask for selecting paint events.
`static int` | `RESERVED_ID_MAX` The maximum value for reserved AWT event IDs.
`static long` | `TEXT_EVENT_MASK` The event mask for selecting text events.
`static long` | `WINDOW_EVENT_MASK` The event mask for selecting window events.
`static long` | `WINDOW_FOCUS_EVENT_MASK` The event mask for selecting window focus events.

Constructor Summary
`AWTEvent(Object source, int id)` Constructs an AWTEvent object with the specified source object and type.

Method Summary
`int` | `getID()` Returns the event type.
`String` | `paramString()` Returns a string representing the state of this `Event`.
`String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPONENT_EVENT_MASK

    public static final long COMPONENT_EVENT_MASK

  The event mask for selecting component events.

  See Also:
    Constant Field Values

### CONTAINER_EVENT_MASK

    public static final long CONTAINER_EVENT_MASK

  The event mask for selecting container events.

  See Also:
    Constant Field Values

### FOCUS_EVENT_MASK

    public static final long FOCUS_EVENT_MASK

  The event mask for selecting focus events.

  See Also:
    Constant Field Values

### KEY_EVENT_MASK

    public static final long KEY_EVENT_MASK

  The event mask for selecting key events.

  See Also:
    Constant Field Values

### MOUSE_EVENT_MASK

    public static final long MOUSE_EVENT_MASK

  The event mask for selecting mouse events.

  See Also:
    Constant Field Values

### MOUSE_MOTION_EVENT_MASK

    public static final long MOUSE_MOTION_EVENT_MASK

  The event mask for selecting mouse motion events.

  See Also:
    Constant Field Values

### WINDOW_EVENT_MASK

    public static final long WINDOW_EVENT_MASK

  The event mask for selecting window events.

  See Also:
    Constant Field Values

### ACTION_EVENT_MASK

    public static final long ACTION_EVENT_MASK

  The event mask for selecting action events.

  See Also:
    Constant Field Values

### ADJUSTMENT_EVENT_MASK

    public static final long ADJUSTMENT_EVENT_MASK

  The event mask for selecting adjustment events.

  See Also:
    Constant Field Values

### ITEM_EVENT_MASK

    public static final long ITEM_EVENT_MASK

  The event mask for selecting item events.

  See Also:
    Constant Field Values

### TEXT_EVENT_MASK

    public static final long TEXT_EVENT_MASK

  The event mask for selecting text events.

  See Also:
    Constant Field Values

### INPUT_METHOD_EVENT_MASK

    public static final long INPUT_METHOD_EVENT_MASK

  The event mask for selecting input method events.

  See Also:
    Constant Field Values

### PAINT_EVENT_MASK

    public static final long PAINT_EVENT_MASK

  The event mask for selecting paint events.

  See Also:
    Constant Field Values

### INVOCATION_EVENT_MASK

    public static final long INVOCATION_EVENT_MASK

  The event mask for selecting invocation events.

  See Also:
    Constant Field Values

### MOUSE_WHEEL_EVENT_MASK

    public static final long MOUSE_WHEEL_EVENT_MASK

  The event mask for selecting mouse wheel events.

  Since:
    1.4
  See Also:
    Constant Field Values

### WINDOW_FOCUS_EVENT_MASK

    public static final long WINDOW_FOCUS_EVENT_MASK

  The event mask for selecting window focus events.

  Since:
    1.4
  See Also:
    Constant Field Values

### RESERVED_ID_MAX

    public static final int RESERVED_ID_MAX

  The maximum value for reserved AWT event IDs. Programs defining their own event IDs should use IDs greater than this value.

  See Also:
    Constant Field Values

Constructor Detail

### AWTEvent

    public AWTEvent(Object source,
                    int id)

  Constructs an AWTEvent object with the specified source object and type.

  Parameters:
    `source` - the object where the event originated

Method Detail

### getID

    public int getID()

  Returns the event type.

### toString

    public String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `EventObject`
  Returns:
    A a String representation of this EventObject.

### paramString

    public String paramString()

  Returns a string representing the state of this `Event`. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Returns:
    a string representation of this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD